@import "../../variables/variables";
@import "../../variables/mixins";


/*#region text color & background color*/
:root {
    --blue: #007bff;
    --indigo: #6610f2;
    --purple: #6f42c1;
    --pink: #e83e8c;
    --red: #dc3545;
    --orange: #fd7e14;
    --yellow: #ffc107;
    --green: #28a745;
    --teal: #20c997;
    --cyan: #17a2b8;
    --white: #fff;
    --gray: #ddd;
    --gray-light: #f2f2f2;
    --gray-dark: #767676;
    --primary: $primary-color;
    --primary-hover: $primary-color-hover;
    --secondary: $second-color;
    --secondary-hover: $second-color-hover;
    --success: #0abb87;
    --info: #5578eb;
    --warning: #ffb822;
    --danger: #fd397a;
    --light: #f8f9fa;
    --dark: #343a40;
    --font-primary: Arial;
    --font-secondary: Arial;
}
.bg-white {
    background-color: $white;
}

.bg-black {
    background-color: $bg-black;
}

.bg-lightblack {
    background-color: $bg-lightblack;
}

.bg-gray {
    background-color: $bg-gray;
}

.bg-lightgray {
    background-color: $bg-lightgray;
}

.bg-deepgray {
    background-color: $bg-deepgray;
}

.bg-primary {
    background-color: $primary-color;
}

.bg-second {
    background-color: $second-color;
}

.text-white {
    color: $white;
}

.text-black {
    color: $black;
}

.text-gray {
    color: $gray;
}

.text-deepgray {
    color: $deepgray;
}

.text-primary {
    color: $primary-color;
}

.text-second {
    color: $second-color;
}

.text-red {
    color: $red;
}

.bg-gradient {
    background: rgba(17, 17, 17, 0);
    background: -moz-linear-gradient(bottom,
        rgba(17, 17, 17, 0) 0%,
        rgba(17, 17, 17, 0.1) 10%,
        rgba(17, 17, 17, 0.95) 100%);
    background: -webkit-gradient(left bottom,
        left top,
        color-stop(0%, rgba(17, 17, 17, 0)),
        color-stop(10%, rgba(17, 17, 17, 0.1)),
        color-stop(100%, rgba(17, 17, 17, 0.95)));
    background: -webkit-linear-gradient(bottom,
        rgba(17, 17, 17, 0) 0%,
        rgba(17, 17, 17, 0.1) 10%,
        rgba(17, 17, 17, 0.95) 100%);
    background: -o-linear-gradient(bottom,
        rgba(17, 17, 17, 0) 0%,
        rgba(17, 17, 17, 0.1) 10%,
        rgba(17, 17, 17, 0.95) 100%);
    background: -ms-linear-gradient(bottom,
        rgba(17, 17, 17, 0) 0%,
        rgba(17, 17, 17, 0.1) 10%,
        rgba(17, 17, 17, 0.95) 100%);
    background: linear-gradient(to top,
        rgba(17, 17, 17, 0) 0%,
        rgba(17, 17, 17, 0.1) 10%,
        rgba(17, 17, 17, 0.95) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#171717', endColorstr='#171717', GradientType=0);
}

/*#endregion*/

/*#region core*/
@import "../../variables/core";
@import "../../variables/typography";
@import "../../variables/grid";
@import "../../variables/spacing";
/*#endregion*/

/*#region addon*/
@import "../../component/addon";
/*#endregion*/

/*#region customize*/
#loading {
    z-index: 999;
    .box {
        text-align: center;
        position: fixed;
        top: 50%;
        left: 50%;

        .spinner {
            height: 40px;
            width: 40px;
            background: rgba(0, 0, 0, .2);
            border-radius: 50%;
        }

        .spinner--2 {
            border: 2px solid rgba(0, 0, 0, 0.4);
            border-top-color: #fff;
            animation: spinner2 600ms linear infinite;
        }
    }
}

@keyframes spinner2 {
    to {
        transform: rotate(360deg);
    }
}
/*#region modal*/
/*@import "../../component/modal";*/
/*#endregion*/
@-webkit-keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }

    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

@keyframes fadeInDown {
    0% {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }

    100% {
        opacity: 1;
        -webkit-transform: none;
        transform: none;
    }
}

.fadeInDown {
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;
}
.nav-fix {
    width: 1200px;
    max-width: 100%;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
    margin: 0 auto;
    position: fixed;
    -webkit-animation-name: fadeInDown;
    animation-name: fadeInDown;
    -webkit-animation-duration: 5s;
    animation-duration: 5s;
    -webkit-animation-timing-function: linear;
    animation-timing-function: linear;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
    -webkit-animation-direction: normal;
    animation-direction: normal;
    -webkit-animation-play-state: running;
    animation-play-state: running;
    -webkit-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    -webkit-animation-delay: 1s;
    animation-delay: 1s;
    -webkit-animation-iteration-count: 1;
    animation-iteration-count: 1;
    -webkit-animation-duration: .7s;
    animation-duration: .7s;
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
    -webkit-animation-timing-function: ease-out;
    animation-timing-function: ease-out;
    -webkit-transform: translateY(0);
    transform: translateY(0);
}
/*#region pagination*/
.pagination-container {
    border-top: 1px solid #d8d8d8;

    .pagination {
        margin: 0;

        > .active > a,
        > .active > span,
        > .active > a:hover,
        > .active > span:hover,
        > .active > a:focus,
        > .active > span:focus {
            background-color: $primary-color;
            border-color: $primary-color;
            color: $white;
        }

        > li > a,
        > li > span {
            color: $primary-color;
            border-color: $border-gray;
            border-radius: 0;
            margin-right: 5px;
            font-weight: bold;
            padding: 2px 9px;
        }

        > li > a:hover,
        > li > span:hover,
        > li > a:focus,
        > li > span:focus {
            color: $white;
            background-color: $primary-color;
            border-color: $primary-color;
        }
    }
}

/*#endregion*/

/*#region #breadcrumb*/
@import "../../component/breadcrumb";
/*#endregion*/

/*#region owl theme*/
main .owl-carousel .animated,
main .owl-carousel.animated {
    -webkit-animation-duration: 2s;
    animation-duration: 2s;
    -webkit-animation-delay: 250ms;
    animation-delay: 250ms;
}

main .owl-carousel .animate-out,
main .owl-carousel .animate-in {
    -webkit-animation-delay: 0ms;
    animation-delay: 0ms;
}

main .owl-theme {
    .owl-nav {
        margin-top: 0;

        [class*="owl-"] {
            @include animation();
            position: absolute;
            top: 50%;
            transform: translateY(-50%);
            background: $primary-color;
            border: 1px solid $primary-color;
            padding: 0;
            width: 35px;
            height: 35px;
            text-align: center;
            border-radius: 0;
            margin: 0;
            color: $white;

            i {
                font-size: 20px;
                line-height: 32px;
            }

            &.disabled {
                cursor: no-drop;
            }

            &:hover {
                background: $bg-black;
                border-color: $bg-black;
            }
        }

        .owl-next {
            right: 0;
        }

        .owl-prev {

            left: 0;
        }
    }

    .owl-dots {
        .owl-dot {
            span {
                @include animation();
                margin: 0 5px;
                border-radius: 0;
                height: 5px;
                width: 10px;
            }

            &:first-child span {
                margin-left: 0;
            }

            &:last-child span {
                margin-right: 0;
            }

            &.active,
            &:hover {
                span {
                    background: $primary-color;
                    width: 25px;
                }
            }
        }
    }
}

/* owl my theme */
// @-webkit-keyframes dot-indicator-next {
//   0%, 100% {
//     -webkit-transform: scaleX(0);
//             transform: scaleX(0);
//   }
//   0%, 60% {
//     -webkit-transform-origin: left;
//             transform-origin: left;
//   }
//   60% {
//     -webkit-transform: scaleX(1);
//             transform: scaleX(1);
//   }
//   60.1%, 100% {
//     -webkit-transform-origin: right;
//             transform-origin: right;
//   }
// }
// @keyframes dot-indicator-next {
//   0%, 100% {
//     -webkit-transform: scaleX(0);
//             transform: scaleX(0);
//   }
//   0%, 60% {
//     -webkit-transform-origin: left;
//             transform-origin: left;
//   }
//   60% {
//     -webkit-transform: scaleX(1);
//             transform: scaleX(1);
//   }
//   60.1%, 100% {
//     -webkit-transform-origin: right;
//             transform-origin: right;
//   }
// }
// @-webkit-keyframes dot-indicator-prev {
//   0%, 100% {
//     -webkit-transform: scaleX(0);
//             transform: scaleX(0);
//   }
//   0%, 60% {
//     -webkit-transform-origin: right;
//             transform-origin: right;
//   }
//   60% {
//     -webkit-transform: scaleX(1);
//             transform: scaleX(1);
//   }
//   60.1%, 100% {
//     -webkit-transform-origin: left;
//             transform-origin: left;
//   }
// }
// @keyframes dot-indicator-prev {
//   0%, 100% {
//     -webkit-transform: scaleX(0);
//             transform: scaleX(0);
//   }
//   0%, 60% {
//     -webkit-transform-origin: right;
//             transform-origin: right;
//   }
//   60% {
//     -webkit-transform: scaleX(1);
//             transform: scaleX(1);
//   }
//   60.1%, 100% {
//     -webkit-transform-origin: left;
//             transform-origin: left;
//   }
// }
// .owl-mytheme {
//   .owl-dots {
//     text-align: center;
//     line-height: 0;
//     position: absolute;
//     bottom: 10px;
//     left: 0;
//     right: 0;
//     .owl-dot {
//       display: inline-block;
//       width: 15px;
//       height: 15px;
//       position: relative;
//       + .owl-dot {
//         margin-left: 12px;
//       }
//       &:after {
//         content: "";
//         display: block;
//         width: 100%;
//         height: 100%;
//         border-radius: 50%;
//         background: $white;
//         -webkit-transform: scale(0.5);
//         -ms-transform: scale(0.5);
//         transform: scale(0.5);
//         -webkit-transition: -webkit-transform 0.3s ease;
//         transition: -webkit-transform 0.3s ease;
//         -o-transition: transform 0.3s ease;
//         transition: transform 0.3s ease;
//         transition: transform 0.3s ease, -webkit-transform 0.3s ease;
//       }
//       &.active {
//         &:after {
//           -webkit-transition-delay: 0.2s;
//           -o-transition-delay: 0.2s;
//           transition-delay: 0.2s;
//           -webkit-transform: scale(1);
//           -ms-transform: scale(1);
//           transform: scale(1);
//         }
//       }
//     }
//   }
//   .dot-indicator {
//     width: 24px;
//     height: 2px;
//     background: $white;
//     position: absolute;
//     top: calc(50% - 1px);
//     -webkit-transform: scaleX(0);
//     -ms-transform: scaleX(0);
//     transform: scaleX(0);
//     -webkit-animation-duration: 0.2s;
//     animation-duration: 0.2s;
//     -webkit-animation-timing-function: linear;
//     animation-timing-function: linear;
//     -webkit-animation-fill-mode: forwards;
//     animation-fill-mode: forwards;
//     &.next {
//       left: 50%;
//       -webkit-animation-name: dot-indicator-next;
//       animation-name: dot-indicator-next;
//     }
//     &.prev {
//       right: 50%;
//       -webkit-animation-name: dot-indicator-prev;
//       animation-name: dot-indicator-prev;
//     }
//   }
// }
/* owl my theme */

/* owl flex */
.owl-flex {
    .owl-stage {
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: -moz-flex;
        display: -o-flex;
        display: flex;

        .owl-item {
            display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: -moz-flex;
            display: -o-flex;
            display: flex;
            -moz-flex: 1 0 auto;
            -o-flex: 1 0 auto;
            -webkit-box-flex: 1;
            -webkit-flex: 1 0 auto;
            -ms-flex: 1 0 auto;
            flex: 1 0 auto;

            >div {
                display: -webkit-box;
                display: -webkit-flex;
                display: -ms-flexbox;
                display: -moz-flex;
                display: -o-flex;
                display: flex;
                -webkit-flex-direction: -webkit-column;
                flex-direction: -webkit-column;
                flex-direction: -moz-column;
                -ms-flex-direction: -ms-column;
                flex-direction: -ms-column;
                flex-direction: -o-column;
                -webkit-box-orient: vertical;
                -webkit-box-direction: normal;
                -webkit-flex-direction: column;
                -ms-flex-direction: column;
                flex-direction: column;
                width: 100%;

                .text-container {
                    display: -webkit-box;
                    display: -webkit-flex;
                    display: -ms-flexbox;
                    display: -moz-flex;
                    display: -o-flex;
                    display: flex;
                    -moz-flex: 1 0 auto;
                    -o-flex: 1 0 auto;
                    -webkit-box-flex: 1;
                    -webkit-flex: 1 0 auto;
                    -ms-flex: 1 0 auto;
                    flex: 1 0 auto;
                    -webkit-flex-direction: -webkit-column;
                    flex-direction: -webkit-column;
                    flex-direction: -moz-column;
                    -ms-flex-direction: -ms-column;
                    flex-direction: -ms-column;
                    flex-direction: -o-column;
                    -webkit-box-orient: vertical;
                    -webkit-box-direction: normal;
                    -webkit-flex-direction: column;
                    -ms-flex-direction: column;
                    flex-direction: column;

                    .des,
                    h3 {
                        -moz-flex-grow: 1;
                        -o-flex-grow: 1;
                        -webkit-box-flex: 1;
                        -webkit-flex-grow: 1;
                        -ms-flex-positive: 1;
                        flex-grow: 1;
                    }
                }
            }
        }
    }
}

/* owl flex */
/*#endregion*/

/*#endregion*/
/*------------------------------------*\
  STYLE CONTENT
\*------------------------------------*/
/*#region header*/
@import "../../component/header";
/*#endregion*/

/*#region footer*/
@import "../../component/footer";
/*#endregion*/

/*#region navigation*/
/* nav mobile */
@import "../../component/nav-moblie";
/* nav mobile */
/*#endregion*/
.bg-tranparent-black {
    position: relative;
    &:before {
        content: "";
        width: 100%;
        height: 100%;
        background: rgba(0, 0, 0, 0.37);
        position: absolute;
        z-index: 99;
        cursor: default;
    }
}


/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}

/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active),
(-ms-high-contrast: none) {
    /*Code is here*/
}

/*#endregion*/